<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__wssc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_wssc_char_t</compoundname>
    <includes local="no">cy_ble_wss.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__wssc__char__t_1ae1112fe1c9f690c087fc684b8130507e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_wssc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="98" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wssc__char__t_1a625f8712d4f4f274615f5d13a3e5612d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_wssc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wssc__char__t_1a32b8d1343c0c8ed15804ac514d061788" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_wssc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End Handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="100" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wssc__char__t_1ab1f97ff6a0c878525eec238d7a467097" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_wssc_char_t::descrHandle[CY_BLE_WSS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_WSS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor Handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="101" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WSS Service Full Characteristic information structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="102" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="97" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__wssc__char__t_1ab1f97ff6a0c878525eec238d7a467097" virt="non-virtual"><scope>cy_stc_ble_wssc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wssc__char__t_1a32b8d1343c0c8ed15804ac514d061788" virt="non-virtual"><scope>cy_stc_ble_wssc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wssc__char__t_1a625f8712d4f4f274615f5d13a3e5612d" virt="non-virtual"><scope>cy_stc_ble_wssc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__wssc__char__t_1ae1112fe1c9f690c087fc684b8130507e" virt="non-virtual"><scope>cy_stc_ble_wssc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>